Package org.jCharts.test

# Class AxisChartTestBase

java.lang.Object
org.jCharts.test.AxisChartTestBase

Direct Known Subclasses:
  `AreaTestDriver`, `BarTestDriver`, `ClusteredBarTestDriver`, `ComboTestDriver`, `LineTestDriver`, `PointTestDriver`, `StackedAreaTestDriver`, `StackedBarTestDriver`, `StockTestDriver`

abstract class AxisChartTestBase extends Object

## Constructor Summary

Constructors
Constructor
Description
`AxisChartTestBase()`

## Method Summary

Modifier and Type
Method
Description
`(package private) static void`
`axisChartTest(String name, AxisChartTestBase axisChartTestBase)`
Test for LineChart
`(package private) AxisChartDataSet`
`createAxisChartDataSet(ChartType chartType, ChartTypeProperties chartTypeProperties, int numberOfDataSets, int numberOfValuesToCreate, int minValue, int maxValue)`
Generates a random MultiDataSet
`(package private) final DataSeries`
`createDataSeries(int numberOfValuesToCreate)`
`(package private) abstract DataSeries`
`getDataSeries()`
`(package private) abstract boolean`
`supportsImageMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AxisChartTestBase

public AxisChartTestBase()

## Method Details

### getDataSeries

abstract DataSeries getDataSeries() throws ChartDataException

Throws:
  `ChartDataException`

### supportsImageMap

abstract boolean supportsImageMap()

### axisChartTest

static void axisChartTest(String name, AxisChartTestBase axisChartTestBase) throws ChartDataException, PropertyException
Test for LineChart

Throws:
  `ChartDataException`
  `PropertyException`

### createDataSeries

final DataSeries createDataSeries(int numberOfValuesToCreate)

### createAxisChartDataSet

AxisChartDataSet createAxisChartDataSet(ChartType chartType, ChartTypeProperties chartTypeProperties, int numberOfDataSets, int numberOfValuesToCreate, int minValue, int maxValue) throws ChartDataException
Generates a random MultiDataSet

Parameters:
  `numberOfDataSets` -
  `numberOfValuesToCreate` - the number of doubles to generate
  `minValue` -
  `maxValue` -
Returns:
  AxisChartDataSet
Throws:
  `ChartDataException`